summaryrefslogtreecommitdiff
path: root/debian.upstream/control.in
blob: 661856c1a3737c2052272b9f28dcc91395a139b8 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
Source: gstreamer@GST_MAJORMINOR@-vaapi
Section: libs
Priority: optional
Maintainer: Gwenole Beauchesne <gwenole.beauchesne@intel.com>
Build-Depends: debhelper (>= 5),
	       cdbs,
	       libglib2.0-dev (>= @GLIB_VERSION_REQUIRED@),
	       libgstreamer@GST_MAJORMINOR@-dev (>= @GST_VERSION_REQUIRED@),
	       libgstreamer-plugins-base@GST_MAJORMINOR@-dev (>= @GST_PLUGINS_BASE_VERSION_REQUIRED@),
@USE_DRM_TRUE@	       libdrm-dev, libudev-dev,
@USE_X11_TRUE@	       libx11-dev, libxrandr-dev,
@USE_GLX_TRUE@	       libgl-dev,
@USE_WAYLAND_TRUE@	       libwayland-dev (>= @WAYLAND_API_VERSION@),
	       libva-dev (>= @LIBVA_PACKAGE_VERSION@)
Build-Depends-Indep: gtk-doc-tools (>= @GTKDOC_VERSION@)
Standards-Version: 3.7.2

Package: gstreamer@GST_MAJORMINOR@-vaapi
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gstreamer@GST_MAJORMINOR@-vaapi-doc
Description: VA-API plugins for GStreamer
 This package contains GStreamer plugins for VA-API support:
 - `vaapidecode': decode bitstreams using VA-API
 - `vaapiupload': converts from YUV pixels to VA surfaces 
 - `vaapidownload': convert from VA surfaces to YUV pixels
 - `vaapipostproc': postprocess VA surfaces, e.g. deinterlacing
 - `vaapisink': a VA-API based video sink

Package: gstreamer@GST_MAJORMINOR@-vaapi-doc
Architecture: all
Section: doc
Recommends: libgstvaapi@GST_VAAPI_MAJOR_VERSION@-dev (= ${source:Version})
Description: GStreamer VA-API documentation and manuals
 This packages contains documentation for libraries and elements.

Package: gstreamer@GST_MAJORMINOR@-vaapi-dbg
Section: libdevel
Architecture: any
Depends: gstreamer@GST_MAJORMINOR@-vaapi (= ${Source-Version})
Description: VA-API plugins for GStreamer
 VA-API support plugins for GStreamer.
 .
 This package contains the debug files.

Package: libgstvaapi@GST_VAAPI_MAJOR_VERSION@
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GStreamer libraries from the "vaapi" set
 VA-API support libraries for GStreamer.
 .
 This package contains common libraries for the "vaapi" set.

@USE_DRM_TRUE@Package: libgstvaapi-drm-@GST_VAAPI_MAJOR_VERSION@
@USE_DRM_TRUE@Section: libs
@USE_DRM_TRUE@Architecture: any
@USE_DRM_TRUE@Depends: ${shlibs:Depends}, ${misc:Depends}
@USE_DRM_TRUE@Description: GStreamer libraries from the "vaapi" set
@USE_DRM_TRUE@ VA-API support libraries for GStreamer.
@USE_DRM_TRUE@ .
@USE_DRM_TRUE@ This package contains headless libraries for the "vaapi" set.

@USE_X11_TRUE@Package: libgstvaapi-x11-@GST_VAAPI_MAJOR_VERSION@
@USE_X11_TRUE@Section: libs
@USE_X11_TRUE@Architecture: any
@USE_X11_TRUE@Depends: ${shlibs:Depends}, ${misc:Depends}
@USE_X11_TRUE@Description: GStreamer libraries from the "vaapi" set
@USE_X11_TRUE@ VA-API support libraries for GStreamer.
@USE_X11_TRUE@ .
@USE_X11_TRUE@ This package contains x11 libraries for the "vaapi" set.

@USE_GLX_TRUE@Package: libgstvaapi-glx-@GST_VAAPI_MAJOR_VERSION@
@USE_GLX_TRUE@Section: libs
@USE_GLX_TRUE@Architecture: any
@USE_GLX_TRUE@Depends: ${shlibs:Depends}, ${misc:Depends}
@USE_GLX_TRUE@Description: GStreamer libraries from the "vaapi" set
@USE_GLX_TRUE@ VA-API support libraries for GStreamer.
@USE_GLX_TRUE@ .
@USE_GLX_TRUE@ This package contains glx libraries for the "vaapi" set.

@USE_WAYLAND_TRUE@Package: libgstvaapi-wayland-@GST_VAAPI_MAJOR_VERSION@
@USE_WAYLAND_TRUE@Section: libs
@USE_WAYLAND_TRUE@Architecture: any
@USE_WAYLAND_TRUE@Depends: ${shlibs:Depends}, ${misc:Depends}
@USE_WAYLAND_TRUE@Description: GStreamer libraries from the "vaapi" set
@USE_WAYLAND_TRUE@ VA-API support libraries for GStreamer.
@USE_WAYLAND_TRUE@ .
@USE_WAYLAND_TRUE@ This package contains Wayland libraries for the "vaapi" set.

Package: libgstvaapi-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends},
@USE_DRM_TRUE@	 libgstvaapi-drm-@GST_VAAPI_MAJOR_VERSION@ (= ${Source-Version}),
@USE_X11_TRUE@	 libgstvaapi-x11-@GST_VAAPI_MAJOR_VERSION@ (= ${Source-Version}),
@USE_GLX_TRUE@	 libgstvaapi-glx-@GST_VAAPI_MAJOR_VERSION@ (= ${Source-Version}),
@USE_WAYLAND_TRUE@	 libgstvaapi-wayland-@GST_VAAPI_MAJOR_VERSION@ (= ${Source-Version}),
	 libgstvaapi@GST_VAAPI_MAJOR_VERSION@ (= ${Source-Version})
Description: GStreamer development files for libraries from the "vaapi" set
 GStreamer/VA-API development files.
 .
 This package contains development files for GStreamer libraries for
 the "vaapi" set.